// tkxture.pov
//
#include "tkxture.inc"
// Photo reflector.
#declare prRed = 0.975;
#declare prGreen = 0.975;
#declare prBlue = 0.975;


// default is 5
global_settings { max_trace_level 25 }


// Textured object. 
sphere { 	 
   <0, 0, 0>, 0.5
	texture { txTemp } 	 
   interior { inTemp }
   translate <0.5, 0.5, 0.5>   
}

// Textured object. 
//box { 	 
//   <0, 0, 0>, <1, 1, 1>
//	texture { txTemp } 	 
//   interior { inTemp }
//   translate <-0.50, -0.50, -0.50>   
//   rotate <0, 45, 0>
//   translate <-0.50, -0.75, -0.00>   
//} 	 

// Photo reflector.
#declare prWidth = 8;
#declare prHeight = 6;
#declare prLength = 6;
#declare prThickness = 0.025;


// Photo reflector back.
box { 	 
   <0, -(prThickness + 0.5), 0>, <prWidth, (prHeight - 0.5), prThickness>
	texture { pigment { color rgb <prRed, prGreen, prBlue> } } 	 
   translate <-( prWidth * 0.5 ), prThickness, ( prLength * 0.5 )>   
   translate <0.5, 0.5, 0.5>
   rotate <0, 0, 0>
} 	 

// Photo reflector floor.
box { 	 
   <0, -(prThickness + 0.5), 0>, <prWidth, -0.5, prLength>
	texture { pigment { color rgb <prRed, prGreen, prBlue> } } 	 
   translate <-( prWidth * 0.5 ), 0, -( prLength * 0.5 )>   
   translate <0.5, 0.5, 0.5>
   rotate <0, 0, 0>
}

	 
/*
// Photo reflector fillet block.
box { 	 
   <0, 0, 0>, <prWidth, prThickness, prThickness>
	texture { pigment { color rgb <prRed, prGreen, prBlue> } } 	 
   translate <-( prWidth * 0.5 ), prThickness, (( prLength * 0.5 ) - prThickness )>   
   rotate <0, 0, 0>
} 	 

// Photo reflector fillet cutout.
cylinder {
   <0, 0, 0>, <prWidth, 0, 0>, prThickness
	texture { pigment { color rgb <prRed, prGreen, prBlue> } } 	 
   translate <-( prWidth * 0.5 ), ( prThickness * 2 ), (( prLength * 0.5 ) - prThickness )>   
   rotate <0, 0, 0>
}
*/

/*
// Infinite floor
plane { 	 
   <0, 1, 0>, 0
   texture { pigment { color rgb <0.9, 0.9, 0.9> } } 
   translate <0, -1, 0>
}
*/

//box {
//    <-100, -1,   200>,  // Near lower left corner
//    < 100, 200,  210>   // Far upper right corner
//   pigment { color <0.85, 0.85, 0.85> 	 
//   }
//} 	 


// Camera and lights.
#declare xCamera 	=   0; 	 
#declare yCamera 	=   1; 	 
#declare zCamera 	=  -1.40; 
	 
#declare xLook 	=   0; 	 
#declare yLook 	=   -0.075; 	 
#declare zLook 	=   0;

// Spots
// #declare sBright        = 0.45;
#declare sBright        = 0.5;
#declare atSpot0        = <-36, 12,  -6>;
#declare atSpot1        = <-24, 12, -18>;
#declare atSpot2        = <-12, 12,  -6>;
#declare point_atSpot   = <0, 1, 0>;

#declare radiusSpot 	   = 10;
#declare falloffSpot 	= 20; 	 
#declare tightnessSpot 	= 0; 	 
	 
camera { 	 
   location <xCamera * 0.5, yCamera * 0.5, zCamera> 	 
	// location <0, 1200, 0> 	 
	look_at <xLook, yLook, zLook> 	 
   translate <0.5, 0.5, 0.5>
} 	 
 	 
// Top
/*
light_source { 	 
   <-500.0, yCamera * 10, zCamera * 0.5> 	 
   rgb <1.0, 1.0, 1.0> 	 
   area_light <5, 0, 0>, <0, 5, 0>, 5, 5 	 
   adaptive 1 	 
   jitter 	 
} 
*/

// On-camera
#declare ocBright        = 0.80;
light_source { 	 
   <xCamera, yCamera * 1.5, zCamera * 1.0>
   rgb <ocBright, ocBright, ocBright>
   shadowless 	 
   translate <0.5, 0.5, 0.5>
} 	 
 	 
light_source { 
   atSpot0 
   rgb <sBright, sBright, sBright> 	 
   spotlight 
      radius   radiusSpot
      falloff  falloffSpot
      tightness tightnessSpot
      point_at point_atSpot
   shadowless 	 
   translate <0.5, 0.5, 0.5>
}

light_source { 
   atSpot1 
   rgb <sBright, sBright, sBright> 	 
   spotlight 
      radius   radiusSpot
      falloff  falloffSpot
      tightness tightnessSpot
      point_at point_atSpot
   shadowless 	 
   translate <0.5, 0.5, 0.5>
}

light_source { 
   atSpot2
   rgb <sBright, sBright, sBright> 	 
   spotlight 
      radius   radiusSpot
      falloff  falloffSpot
      tightness tightnessSpot
      point_at point_atSpot
   translate <0.5, 0.5, 0.5>
}
 	 
// end of tkxture.pov
